Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class DesCbcEncryptDataParameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.parameters.CbcEncryptDataParameters
            |
            +--iaik.pkcs.pkcs11.parameters.DesCbcEncryptDataParameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

public class DesCbcEncryptDataParameters
extends CbcEncryptDataParameters

This class encapsulates parameters for the algorithms Mechanism.DES_CBC_ENCRYPT_DATA and Mechanism.DES3_CBC_ENCRYPT_DATA.

Version:
  1.0
Author:
  Karl Scheibelhofer

Fields inherited from class iaik.pkcs.pkcs11.parameters.CbcEncryptDataParameters
`blockSize_, data_, iv_`

Constructor Summary
`DesCbcEncryptDataParameters(byte[] iv, byte[] data)` Create a new DesCbcEncryptDataParameters object with the given IV and data.

Method Summary
`java.lang.Object` | `getPKCS11ParamsObject()` Get this parameters object as Long object.

Methods inherited from class iaik.pkcs.pkcs11.parameters.CbcEncryptDataParameters
`clone, equals, getBlockSize, getData, getInitializationVector, hashCode, setData, setInitializationVector, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesCbcEncryptDataParameters

    public DesCbcEncryptDataParameters(byte[] iv,
                                       byte[] data)

  Create a new DesCbcEncryptDataParameters object with the given IV and data.
  Parameters:
    `iv` - The initialization vector.
    `data` - The key derivation data.

Method Detail

### getPKCS11ParamsObject

    public java.lang.Object getPKCS11ParamsObject()

  Get this parameters object as Long object.
  Returns:
    This object as Long object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18